use game::*;
use bitboard::*;
use movegen::*;


fn side_value(game: &Game, side: Side) -> u32 {
    game.get_piece(PAWN, game.turn).count_ones() * 100
    + (game.get_piece(KNIGHT, game.turn) | game.get_piece(BISHOP, game.turn)).count_ones() * 300
    + game.get_piece(ROOK, game.turn).count_ones() * 400
    + game.get_piece(QUEEN, game.turn).count_ones() * 600
    + game.get_piece(KING, game.turn).count_ones() * 100000
}

pub fn evaluate(game: &Game) -> i32 {
    return side_value(game, game.turn) as i32 - side_value(game, !game.turn) as i32;
}
