mod interface;
mod bitboard;
mod movegen;
mod engine;
mod game;
mod evaluate;
mod search;

extern crate log;
extern crate env_logger;
extern crate simplelog;
extern crate rand;

use simplelog::*;

use std::sync::mpsc;
use std::{thread, fs::File};
use log::*;
use env_logger::{Target, Builder};

fn main() {
    /*let mut builder = Builder::from_default_env();
    builder
        .filter(None, LevelFilter::Info)
        .target(Target::Pipe(Box::new(File::create("debug.log").unwrap())))
        //.target(Target::Stderr)
        .init();
        */
    //simplelog::WriteLogger::init(LevelFilter::Info, Config::default(), File::create("~/debug.log").unwrap()).unwrap();

    let (esend, erecv) = mpsc::channel();
    let (isend, irecv) = mpsc::channel();

    // spawn engine thread
    thread::spawn(move || {
        engine::run_engine(erecv, isend);
    });

    interface::run(irecv, esend);
}


